/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/



	/* 
	 * the function "xplot_command" can return the following values
	 */
#define XPLOT_OK         0           /* last command executed satisfactorily */
#define XPLOT_ERROR      1           /* last command incurred error */
#define XPLOT_QUIT       2           /* last command was for us to quit */

	/* types of line */
#define MIN_L_TYPE   1
#define MAX_L_TYPE   4
#define SOLID        1
#define DOTTED       2
#define DASH_DOT     3
#define DASHED       4

/*	mode choices for d2hms
*/

#define BABY_MODE_RA			0	/*			HH MM SS.S	*/
#define BABY_MODE_DEC			1	/*	(sign)	DD MM SS	*/
#define BABY_MODE_RA_NO			2	/*			HH:MM:SS.S		no spaces	*/
#define BABY_MODE_DEC_NO		3	/*	(mandatory sign)DD:MM:SS no spaces	*/	
#define BABY_MODE_TIME			4	/*			HH MM SS	*/
#define BABY_MODE_TIME_NO		5	/*			HH:MM:SS	*/
#define BABY_MODE_DEC_NO2		6	/*	(mandatory sign)DD:MM:SS.S no spaces*/	


void xplot_init(void);
void xplot_transmit(char *string);
void xplot_event(char *string);
int xplot_command(char *string);
int xplot_quit(void);
int xplot_spawn(void);
int xplot_iscomment(char *in);
int xplot_do_errorbar(int K);
int xplot_clear(void), xplot_get_file();
int xplot_get_xsixty(char *), xplot_get_ysixty(char *);
int xplot_points(char *cmd_buf), xplot_connect(char *cmd_buf);
int xplot_ltype(char *cmd_buf), xplot_ptype(char *cmd_buf);
int xplot_lines(char *cmd_buf), xplot_position(char *cmd_buf);
int xplot_label(char *cmd_buf), xplot_reverse(char *cmd_buf);
int xplot_draw_axes(char *cmd_buf);
int xplot_xlabel(char *cmd_buf), xplot_ylabel(char *cmd_buf);
int xplot_title(char *cmd_buf);
int xplot_do_hardcopy(char *cmd_buf);
int xplot_help(char *cmd_buf);
int xplot_x_log(char *cmd_buf), xplot_y_log(char *cmd_buf);
int xplot_x_delog(char *cmd_buf), xplot_y_delog(char *cmd_buf);
int xplot_save_com(char *cmd_buf), xplot_stop_save(char *cmd_buf);
int xplot_run_cmd(char *cmd_buf);
int xplot_expand(char *cmd_buf), xplot_dot(char *cmd_buf);
int xplot_draw(char *cmd_buf), xplot_cursor(char *cmd_buf);
int xplot_plot(char *cmd_buf), xplot_wait(char *cmd_buf);
int xplot_get_pc(char *cmd_buf), xplot_get_ec(char *cmd_buf);
int xplot_vfield(char *cmd_buf), xplot_errorbar(char *cmd_buf);
int xplot_hist(char *cmd_buf);	
int xplot_get_xc(), xplot_get_yc(), xplot_get_limits();

